# $Revision: 1.7 $, $Date: 2002/08/06 16:26:50 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Number
%define	pnam	SpellPolish
Summary:	Number::SpellPolish -- spell out number in Polish
Summary(pl):	Number::SpellPolish -- wymawianie liczb po polsku
Name:		perl-%{pdir}-%{pnam}
Version:	0.7
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://radek.karnet.pl/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides functionality for spelling out numbers and
prices in Polish language. If you don't speak polish, you probably
won't need it.

This module *is not* a subclass of Number::Spell.

%description -l pl
Ten modu perla daje moliwo zapisu liczb i cen w jzyku polskim.
Nie znajcym polskiego ten modu jest raczej zbdny.

Ten modu nie jest podklas Number::Spell.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Number/SpellPolish.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Number-SpellPolish.spec,v $
Revision 1.7  2002/08/06 16:26:50  radek
- removed useless docs, added conditional tests, cleanup
- version 0.7, STBR

Revision 1.6  2002/08/05 18:59:42  marcus
- use new %%doc
- rel.4.

Revision 1.5  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/04/04 12:00:14  grabba
- added perl-Number-SpellPolish-Autoloader patch
- release 3

Revision 1.3  2002/03/20 08:52:19  qboosh
- pl description, release 2

Revision 1.2  2002/03/19 21:01:45  kloczek
- adapterized, removed LICENSE and few cosmetics.

Revision 1.1  2002/03/19 20:34:45  grabba
- initial release
